# Get By PlanningId Get all planning updates for the planning with the provided id (UUID) Endpoint: GET /get_by_planning_id/{planningUUID} Version: 3.0 Security: BearerAuth ## Path parameters: - `planningUUID` (string, required) The unique identifier of the planning itself ## Response 200 fields (application/json): - `id` (string) This is the Simacan generated universally unique identifier Example: "39e8d454-87b4-427d-a4f3-c50ed2677644" - `name` (string) The name of the planning Example: "peterson/2020-09-02T12:26:47.585271Z.json" - `planningCreationTime` (string) The creation time of the planning Example: "2020-09-02T12:26:47.705Z" - `shipper` (string) The shipper to which the planning belongs Example: "peterson" - `triggerType` (string) Defines how the job should be triggered Example: "Automatic" - `status` (string) Defines current status of the job Enum: "ShouldStart", "Running", "Succeeded", "Failed" - `file` (object) - `file.fileName` (string) The name of the file Example: "peterson/2020-09-02T12:26:47.585271Z.json" - `file.directory` (string) The directory where the file resides Example: "simacan-planning-data" - `tags` (object) - `tags.mimeType` (string) Mimetype of the file Example: "application/json" - `tags.version` (number) Example: "1" - `tags.schema` (string) Example: "json" - `tags.source` (string) Example: "planning-receive-api" - `steps` (array) - `steps.id` (string) Universally unique identifier for this step Example: "90e66fcb-4be0-4d33-9ee6-60fe999904e5" - `steps.endTime` (string) The time when this planning import step finishes Example: "2020-09-02T12:26:47.708852Z" - `steps.status` (string) The current status of the planning import Enum: "ShouldStart", "Running", "Succeeded", "Failed" - `steps.errors` (array) - `steps.errors.id` (string) The unique identifier for the error Example: "15b245b0-6a47-44ae-8bf2-591f430cd368" - `steps.errors.message` (string) The message of the error Example: "(/_id,List(JsonValidationError(List(error.path.missing),WrappedArray())))" - `steps.name` (string) The name of this step, can be useful to differentiate intermediate steps of processing a single planning. Such as CSV parsing, SCT sending, etc. This allows you to create an audit trail of processing steps Example: "Starting peterson/2020-09-02T12:26:47.585271Z.json" - `steps.processingStepType` (string) Example: "Starting"